- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ObjCoef Class Reference

The in-memory representation of the objective function <coef> element. More...

`#include <OSInstance.h>`

List of all members.

## Public Member Functions
| ObjCoef ()
| The ObjCoef class constructor.
| ~ObjCoef ()
| The ObjCoef class destructor.
bool | IsEqual (ObjCoef *that)
| A function to check for the equality of two objects.
| ObjCoef ()
| The ObjCoef class constructor.
| ~ObjCoef ()
| The ObjCoef class destructor.
## Public Attributes
int | idx
| idx is the index of the variable corresponding to the coefficient
double | value
| value is the value of the objective function coefficient corresponding to the variable with index idx

## Detailed Description

The in-memory representation of the objective function <coef> element.

Definition at line 142 of file OSInstance.h.

## Constructor & Destructor Documentation

ObjCoef::ObjCoef | ( |  | ) |

The ObjCoef class constructor.

Definition at line 456 of file OSInstance.cpp.

ObjCoef::~ObjCoef | ( |  | ) |

The ObjCoef class destructor.

Definition at line 465 of file OSInstance.cpp.

ObjCoef::ObjCoef | ( |  | ) |

The ObjCoef class constructor.

ObjCoef::~ObjCoef | ( |  | ) |

The ObjCoef class destructor.

## Member Function Documentation

bool ObjCoef::IsEqual | ( | ObjCoef * | that | ) |

A function to check for the equality of two objects.

Definition at line 5138 of file OSInstance.cpp.

References idx, and value.

## Member Data Documentation

int ObjCoef::idx

idx is the index of the variable corresponding to the coefficient

Definition at line 154 of file OSInstance.h.

Referenced by IsEqual(), and OSInstance::processObjectives().

double ObjCoef::value

value is the value of the objective function coefficient corresponding to the variable with index idx

Definition at line 159 of file OSInstance.h.

Referenced by IsEqual(), main(), OSInstance::processObjectives(), OSDipBlockSlpSolver::solve(), and OSDipBlockCoinSolver::solve().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.cpp